summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-06-12 15:07:54 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-12 22:14:27 -0500
commit8ccce2733043f24f7fb87f6c1fe47f8674b24b22 (patch)
treef695ac9df271dd6d1f13d5a0bf86aa44fc0cc1c3
parent96418c030230b61d6c7dcd6c40feff336827a705 (diff)
downloadslackbuilds-8ccce2733043f24f7fb87f6c1fe47f8674b24b22.tar.gz
slackbuilds-8ccce2733043f24f7fb87f6c1fe47f8674b24b22.tar.xz
libraries/libvmime-zarafa: Added (libvmime patched for zarafa)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/libvmime-zarafa/README4
-rw-r--r--libraries/libvmime-zarafa/libvmime-zarafa.SlackBuild103
-rw-r--r--libraries/libvmime-zarafa/libvmime-zarafa.info12
-rw-r--r--libraries/libvmime-zarafa/patches/flags.patch13
-rw-r--r--libraries/libvmime-zarafa/patches/name.patch40
-rw-r--r--libraries/libvmime-zarafa/slack-desc19
6 files changed, 191 insertions, 0 deletions
diff --git a/libraries/libvmime-zarafa/README b/libraries/libvmime-zarafa/README
new file mode 100644
index 0000000000..c4720ffc96
--- /dev/null
+++ b/libraries/libvmime-zarafa/README
@@ -0,0 +1,4 @@
+VMime is a free mail library for C++, an open-source solution for working
+with MIME messages and Internet messaging services like IMAP, POP or SMTP.
+
+This script builds a specially patched version of libvmime-0.7.1 for zarafa.
diff --git a/libraries/libvmime-zarafa/libvmime-zarafa.SlackBuild b/libraries/libvmime-zarafa/libvmime-zarafa.SlackBuild
new file mode 100644
index 0000000000..7b62479111
--- /dev/null
+++ b/libraries/libvmime-zarafa/libvmime-zarafa.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libvmime-zarafa:
+# a library for working with MIME messages
+# (with patches from zarafa)
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# revision date 2010/05/27
+
+PRGNAM=libvmime-zarafa
+VERSION=${VERSION:-0.7.1_p20100503}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+PRGSRC=libvmime
+SRCVERSION=$(echo $VERSION | cut -f1 -d_)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $TMP/$PRGSRC-$SRCVERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGSRC-$SRCVERSION.tar.bz2
+cd $PRGSRC-$SRCVERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Apply zarafa patches in order of release-date
+mkdir zarafa-patches
+cd zarafa-patches
+tar xvf $CWD/zarafa-vmime-patches.tar.gz
+cd ..
+for patch in $(ls -1rt zarafa-patches/vmime*.diff); do
+ patch -p1 < $patch
+done
+
+# Patch "configure" so that it respects CFLAGS / CXXFLAGS
+patch -p1 < $CWD/patches/flags.patch
+# Patch "configure" & src/Makefile.in to rename the library to "libvmime-zarafa"
+patch -p1 < $CWD/patches/name.patch
+
+CFLAGS=$SLKCFLAGS \
+CXXFLAGS=$SLKCFLAGS \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make install docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# correct program name.
+# We're moving some files so that this special version of libvmime
+# can coexist with the standard version, if needed.
+mkdir -p $PKG/usr/include/vmime-zarafa
+mv $PKG/usr/include/vmime $PKG/usr/include/vmime-zarafa
+
+mv $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/vmime.pc \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/vmime-zarafa.pc
+sed -i "s/vmime/vmime-zarafa/g" \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/vmime-zarafa.pc
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libvmime-zarafa/libvmime-zarafa.info b/libraries/libvmime-zarafa/libvmime-zarafa.info
new file mode 100644
index 0000000000..4c33af919b
--- /dev/null
+++ b/libraries/libvmime-zarafa/libvmime-zarafa.info
@@ -0,0 +1,12 @@
+PRGNAM="libvmime-zarafa"
+VERSION="0.7.1_p20100503"
+HOMEPAGE="http://www.vmime.org/"
+DOWNLOAD="http://downloads.sourceforge.net/vmime/libvmime-0.7.1.tar.bz2 \
+ http://developer.zarafa.com/download/zarafa-vmime-patches.tar.gz"
+MD5SUM="81f06a771d2de01d5982635838eb5f6a \
+ a92aff3294829f9c270ea05929e619d1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libvmime-zarafa/patches/flags.patch b/libraries/libvmime-zarafa/patches/flags.patch
new file mode 100644
index 0000000000..a7032f3792
--- /dev/null
+++ b/libraries/libvmime-zarafa/patches/flags.patch
@@ -0,0 +1,13 @@
+--- libvmime-0.9.0_orig/configure 2008-10-19 10:36:19.000000000 -0200
++++ libvmime-0.9.0/configure 2009-12-17 09:17:29.000000000 -0200
+@@ -32224,8 +32224,8 @@
+ EXTRA_CFLAGS="$EXTRA_CFLAGS -D_REENTRANT=1 -D_THREAD_SAFE=1 $LIBGNUTLS_CFLAGS"
+ EXTRA_LIBS="$GSASL_LIBS $LIBGNUTLS_LIBS"
+
+-CFLAGS=""
+-CXXFLAGS=""
++#CFLAGS=""
++#CXXFLAGS=""
+
+ # -- Debug
+ if test x$VMIME_DEBUG = x1 ; then
diff --git a/libraries/libvmime-zarafa/patches/name.patch b/libraries/libvmime-zarafa/patches/name.patch
new file mode 100644
index 0000000000..4abeb0cb42
--- /dev/null
+++ b/libraries/libvmime-zarafa/patches/name.patch
@@ -0,0 +1,40 @@
+--- libvmime-0.7.1_orig/configure 2005-06-21 19:11:26.000000000 -0300
++++ libvmime-0.7.1/configure 2009-12-26 15:30:12.000000000 -0200
+@@ -1557,7 +1557,7 @@
+ GENERIC_VERSIONED_LIBRARY_NAME="vmime"
+
+
+-LIBRARY_NAME="libvmime"
++LIBRARY_NAME="libvmime-zarafa"
+
+
+ # Library version
+@@ -25237,7 +25237,7 @@
+
+
+ // Name of package
+-#define VMIME_PACKAGE \"libvmime\"
++#define VMIME_PACKAGE \"libvmime-zarafa\"
+
+ // Version number of package
+ #define VMIME_VERSION \"0.7.1\"
+--- libvmime-0.7.1_orig/src/Makefile.in 2005-06-21 19:11:35.000000000 -0300
++++ libvmime-0.7.1/src/Makefile.in 2009-12-26 17:57:50.000000000 -0200
+@@ -357,7 +357,7 @@
+ AUTOMAKE_OPTIONS = no-dependencies foreign
+ INTERNALS =
+ INCLUDES = -I$(top_srcdir) -I$(srcdir) @PKGCONFIG_CFLAGS@ @EXTRA_CFLAGS@
+-lib_LTLIBRARIES = libvmime.la
++lib_LTLIBRARIES = libvmime-zarafa.la
+ libvmime_la_LDFLAGS = -export-dynamic -version-info @LIBRARY_VERSION@ @PKGCONFIG_LIBS@ @EXTRA_LIBS@
+ libvmime_la_SOURCES = address.cpp \
+ addressList.cpp \
+@@ -494,7 +494,7 @@
+ echo "rm -f \"$${dir}/so_locations\""; \
+ rm -f "$${dir}/so_locations"; \
+ done
+-libvmime.la: $(libvmime_la_OBJECTS) $(libvmime_la_DEPENDENCIES)
++libvmime-zarafa.la: $(libvmime_la_OBJECTS) $(libvmime_la_DEPENDENCIES)
+ $(CXXLINK) -rpath $(libdir) $(libvmime_la_LDFLAGS) $(libvmime_la_OBJECTS) $(libvmime_la_LIBADD) $(LIBS)
+
+ mostlyclean-compile:
diff --git a/libraries/libvmime-zarafa/slack-desc b/libraries/libvmime-zarafa/slack-desc
new file mode 100644
index 0000000000..f44d4c67ad
--- /dev/null
+++ b/libraries/libvmime-zarafa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libvmime-zarafa: libvmime-zarafa (library for working with MIME messages)
+libvmime-zarafa:
+libvmime-zarafa: VMime is a free mail library for C++, an open-source solution for
+libvmime-zarafa: working with MIME messages and Internet messaging services like IMAP,
+libvmime-zarafa: POP or SMTP.
+libvmime-zarafa:
+libvmime-zarafa: This is a specially patched version of the vmime library for
+libvmime-zarafa: zarafa.
+libvmime-zarafa:
+libvmime-zarafa: http://www.vmime.org/
+libvmime-zarafa: